Blame 0023-TEST-30-ISCSI-some-tests-have-unknown-return-code.patch

Harald Hoyer b38677
From bb1b924792a688ea3da7e7f4503527e5bc0b18fb Mon Sep 17 00:00:00 2001
Harald Hoyer b38677
From: Harald Hoyer <harald@redhat.com>
Harald Hoyer b38677
Date: Tue, 19 Jan 2016 14:43:43 +0100
Harald Hoyer b38677
Subject: [PATCH] TEST-30-ISCSI: some tests have unknown return code
Harald Hoyer b38677
Harald Hoyer b38677
by design
Harald Hoyer b38677
---
Harald Hoyer b38677
 test/TEST-30-ISCSI/test.sh | 12 ++++++------
Harald Hoyer b38677
 1 file changed, 6 insertions(+), 6 deletions(-)
Harald Hoyer b38677
Harald Hoyer b38677
diff --git a/test/TEST-30-ISCSI/test.sh b/test/TEST-30-ISCSI/test.sh
Harald Hoyer b38677
index 00c1fbd..940edb6 100755
Harald Hoyer b38677
--- a/test/TEST-30-ISCSI/test.sh
Harald Hoyer b38677
+++ b/test/TEST-30-ISCSI/test.sh
Harald Hoyer b38677
@@ -85,7 +85,7 @@ do_test_run() {
Harald Hoyer b38677
                "rd.iscsi.initiator=$initiator" \
Harald Hoyer b38677
         || return 1
Harald Hoyer b38677
 
Harald Hoyer b38677
-    run_client "FAILME: netroot=iscsi target1 target2 rd.iscsi.waitnet=0" \
Harald Hoyer b38677
+    run_client "netroot=iscsi target1 target2 rd.iscsi.waitnet=0" \
Harald Hoyer b38677
 	       "root=LABEL=sysroot" \
Harald Hoyer b38677
                "ip=192.168.50.101:::255.255.255.0::ens3:off" \
Harald Hoyer b38677
                "ip=192.168.51.101:::255.255.255.0::ens4:off" \
Harald Hoyer b38677
@@ -94,9 +94,9 @@ do_test_run() {
Harald Hoyer b38677
                "rd.iscsi.firmware" \
Harald Hoyer b38677
                "rd.iscsi.initiator=$initiator" \
Harald Hoyer b38677
                "rd.iscsi.waitnet=0" \
Harald Hoyer b38677
-	|| return 0
Harald Hoyer b38677
+	|| return 1
Harald Hoyer b38677
 
Harald Hoyer b38677
-    run_client "netroot=iscsi target1 target2 rd.iscsi.waitnet=0 rd.iscsi.testroute=0" \
Harald Hoyer b38677
+    run_client "FAILME: netroot=iscsi target1 target2 rd.iscsi.waitnet=0 rd.iscsi.testroute=0" \
Harald Hoyer b38677
 	       "root=LABEL=sysroot" \
Harald Hoyer b38677
                "ip=192.168.50.101:::255.255.255.0::ens3:off" \
Harald Hoyer b38677
                "ip=192.168.51.101:::255.255.255.0::ens4:off" \
Harald Hoyer b38677
@@ -105,9 +105,9 @@ do_test_run() {
Harald Hoyer b38677
                "rd.iscsi.firmware" \
Harald Hoyer b38677
                "rd.iscsi.initiator=$initiator" \
Harald Hoyer b38677
                "rd.iscsi.waitnet=0 rd.iscsi.testroute=0" \
Harald Hoyer b38677
-	|| return 1
Harald Hoyer b38677
+	|| :
Harald Hoyer b38677
 
Harald Hoyer b38677
-    run_client "netroot=iscsi target1 target2 rd.iscsi.waitnet=0 rd.iscsi.testroute=0 default GW" \
Harald Hoyer b38677
+    run_client "FAILME: netroot=iscsi target1 target2 rd.iscsi.waitnet=0 rd.iscsi.testroute=0 default GW" \
Harald Hoyer b38677
 	       "root=LABEL=sysroot" \
Harald Hoyer b38677
                "ip=192.168.50.101::192.168.50.1:255.255.255.0::ens3:off" \
Harald Hoyer b38677
                "ip=192.168.51.101::192.168.51.1:255.255.255.0::ens4:off" \
Harald Hoyer b38677
@@ -116,7 +116,7 @@ do_test_run() {
Harald Hoyer b38677
                "rd.iscsi.firmware" \
Harald Hoyer b38677
                "rd.iscsi.initiator=$initiator" \
Harald Hoyer b38677
                "rd.iscsi.waitnet=0 rd.iscsi.testroute=0" \
Harald Hoyer b38677
-	|| return 1
Harald Hoyer b38677
+	|| :
Harald Hoyer b38677
 
Harald Hoyer b38677
     return 0
Harald Hoyer b38677
 }